/* overlay base */
.fx-overlay {
  --fx-overlay-opacity: 0.5;
  @apply relative;
}
.fx-overlay::before {
  content: '';
  opacity: var(--fx-overlay-opacity);
  @apply absolute inset-0;
}
.fx-overlay * {
  @apply z-10;
}

/* overlay color */
.fx-ovl-color {
  --fx-overlay-color: var(--brand-primary, theme('backgroundColor.gray.900'));
}
.fx-ovl-color::before {
  background-color: var(--fx-overlay-color);
}

/* overlay gradient */
.fx-ovl-gradient {
  --fx-overlay-gradient-angle: 45deg;
  --fx-overlay-gradient-color-1: var(--brand-primary, theme('backgroundColor.gray.100'));
  --fx-overlay-gradient-color-2: var(--brand-secondary, theme('backgroundColor.gray.900'));
}
.fx-ovl-gradient::before {
  background-image: linear-gradient(var(--fx-overlay-gradient-angle), var(--fx-overlay-gradient-color-1), var(--fx-overlay-gradient-color-2));
}

/* overlay shapes */
.fx-ovl-shapes {
  clip-path: var(--fx-overlay-shapes-shape-1);
}
.fx-ovl-shapes::before {
  clip-path: var(--fx-overlay-shapes-shape-2);
}

/* overlay opacity */
.fx-ovl-opacity-0 {
  --fx-overlay-opacity: 0;
}
.fx-ovl-opacity-25 {
  --fx-overlay-opacity: 0.25;
}
.fx-ovl-opacity-50 {
  --fx-overlay-opacity: 0.5;
}
.fx-ovl-opacity-75 {
  --fx-overlay-opacity: 0.75;
}
.fx-ovl-opacity-100 {
  --fx-overlay-opacity: 1;
}
